.book-cards {
    padding: 1.1rem;
    background-color: #0000007b;
    width: 25%;
    height: 30rem;
    border-radius: 8px;
}

.book-cards img {
    height: 28rem;
    border-radius: 8px;
}

:root {
    --mobile-width: 350px;
    --mobile-height: 670px;
    --mobile-radius: 25px;
    --separator-height: 510px;
    --bg: #fdf3f2;
    --mobile-bg: #9d75cb;
    --intro-bg: #8c1a6a;
    --font-color: #807b7b;
    --transition: transform 0.3s ease-in-out;
}

.new-release {
    /* padding: 1rem; */
    /* min-height: 100vh; */
    width: var(--mobile-width);
    height: var(--mobile-height);
    margin: 20px 0;
    border-radius: var(--mobile-radius);
    perspective: 500px;
    overflow: hidden;
    color: var(--font-color);
    background-color: var(--mobile-bg);
    box-shadow: rgba(0, 0, 0, 0.30) 0px 0px 20px;
}

.new-release .book-cover {
    position: relative;
    height: var(--separator-height);
    width: calc(var(--mobile-width) * 2);
    left: -45%;
    border-top-left-radius: var(--mobile-radius);
    border-top-right-radius: var(--mobile-radius);
    background-color: var(--intro-bg);
    transform-style: preserve-3d;
    transform-origin: 50% 40%;
    transition: var(--transition);
    z-index: 4;
    box-shadow: rgba(0, 0, 0, 0.30) 0px 0px 20px;
}

.book-cover img {
    border-radius: 15px;
}

.new-release .book-top {
    width: 200px;
    height: 300px;
    position: absolute;
    top: 100px;
    left: 233px;
    z-index: 5;
    transform: translateZ(28.5px);
}

.new-release .book-side {
    position: absolute;
    top: 350px;
    left: 204px;
    width: 250px;
    height: 6rem;
    transform: translateY(-15px) translateX(0px) translateZ(15px) rotateX(104deg);
    z-index: 5;
}

.new-release .book-cover:hover {
    transform: rotateX(75deg) translateZ(3px) scale(0.75);
}

.new-release:hover .book-cover {
    transform: rotateX(75deg) translateZ(3px) scale(0.75);
}

.new-release:hover .preface {
    transform: translateY(-302px);
}

.new-release .book-cover:hover+.preface {
    transform: translateY(-302px);
}

.new-release .book-cover:hover+.preface .icon {
    transform: rotateX(180deg);
}

.new-release .preface {
    height: var(--separator-height);
    padding: 52px;
    transition: var(--transition);
    background: #8c1a6a53;
}

.new-release .preface .header {
    display: flex;
    align-items: center;
}

.new-release .preface .title {
    font-size: 26px;
    margin-bottom: 20px;
    color: whitesmoke;
}

.new-release .preface .author {
    font-style: italic;
    margin-bottom: 20px;
    color: whitesmoke;
}

.new-release .preface .icon {
    transform-origin: top;
    transition: var(--transition);
}

.new-release .preface .body {
    color: whitesmoke;
}

.new-release .preface .body p:first-child {
    margin-bottom: 15px;
}

.read-more {
    top: 1rem;
    position: relative;
    margin: auto;
    padding: 19px 22px;
    transition: all 0.2s ease;
}

.read-more:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    border-radius: 28px;
    background: #ca3ea5;
    width: 56px;
    height: 56px;
    transition: all 0.3s ease;
}

.read-more span {
    position: relative;
    font-size: 16px;
    line-height: 18px;
    /* font-weight: 900; */
    letter-spacing: 0.25em;
    text-transform: uppercase;
    vertical-align: middle;
}

.read-more svg {
    position: relative;
    top: 0;
    margin-left: 10px;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: #111;
    stroke-width: 2;
    transform: translateX(-5px);
    transition: all 0.3s ease;
}

.read-more:hover:before {
    width: 100%;
    background:#8c1a6a;
}

.read-more:hover svg {
    transform: translateX(0);
}

.read-more:active {
    transform: scale(0.96);
}